<template>
  <v-container grid-list-md text-xs-center>
      <loading :active.sync="isLoading"
        :is-full-page="true"></loading>
      <v-layout row wrap>
        <v-flex mb-4>
          <h1 class="display-2 font-weight-bold mb-3">
            Recipes
          </h1>
        </v-flex>
      </v-layout>
      <template v-if="recipes && recipes.length > 0">
        <v-layout v-for="recipe in recipes" :key="recipe.id"
          row wrap>
          <v-flex xs12>
            <v-card>
              <v-card-title primary-title>
                <div>
                  <h3 class="headline mb-0">{{ recipe.name }}</h3>
                  <div> Portions: {{ recipe.portions }} - Calories: {{ recipe.calories }} cal </div>
                </div>
              </v-card-title>

              <v-card-actions>
                <v-btn flat color="orange"
                  :to="'/recipes/' + recipe.id">
                  Open
                </v-btn>
              </v-card-actions>
            </v-card>
          </v-flex>
        </v-layout>
      </template>
      <v-layout v-else align-center justify-center row>
        There are no recipes registered!
      </v-layout>
  </v-container>
</template>

<script>
import Loading from 'vue-loading-overlay'
import 'vue-loading-overlay/dist/vue-loading.css'

export default {
  data: () => ({
    recipes: [],
    isLoading: true
  }),
  components: {
    Loading
  },
  mounted () {
    this.axios
      .get('/api/recipes')
      .then(response => {
        this.isLoading = false
        this.recipes = response.data
      })
      .catch(error => {
        this.isLoading = false
        console.error(error)
      })
  }
}
</script>
